<?php

include_once('cfg.php');

$path = explode("/", $_SERVER['REQUEST_URI']);

array_shift($path);
array_shift($path);
array_pop($path);

/*
** Запоминаем сегодняшний день и номер месяца
** нам пригодится...
*/
	$now['year'] = date('Y');
	$now['month'] = date('n');
	$now['day'] = date('d');

/*
** Достаем из приходящих параметров номер месяца и день
*/
	$year = (isset($path[0])) ? intval($path[0]) : 0;
	$month = (isset($path[1])) ? intval($path[1]) : 0;
	$day = (isset($path[2])) ? intval($path[2]) : 0;

	
/*
** Шаблон по-умолчанию — Выбор года
*/
	$tpl = 'index';

if (!empty($year) && $year>=$year_start && $year_start<=$now['year']) {
	if (!empty($month) && $month>0 && $month<=12) {
		if (!empty($day) && $day>0 && $day<=31) {
		
			/*
			** Если указан день, то выводим шаблон дня
			*/
				$tpl = 'day';
			
			/*
			** Всё, тут можно делать всякие важные дела
			** например, вытащить какие-нибудь события
			*/
			
			$query = "SELECT *
						FROM `calendar`
						WHERE YEAR(`date`)={$year} AND MONTH(`date`)={$month} AND DAYOFMONTH(`date`)={$day}
						ORDER BY `title` ASC";
		}
		else {
			/*
			** Если указан месяц, но не указан день, то выводим шаблон месяца
			*/
				$tpl = 'month';
			
			/*
			** Определяем кол-во дней в выбранном месяце
			*/			
				$days = date("t", mktime(0, 0, 0, $month, 1, $year));
			
			/*
			** Определяем с какого дня недели нчачинается выбранный месяц
			*/			
				$start = date("w", mktime(0, 0, 0, $month, 1, $year));
			
			/*
			** Это применимо к русскому :)
			** Если это 0 (воскресенье), то переводим это в 7
			** Нам так удобнее
			*/			
				if ($start==0) {
					$start=7;
				}
			
			/*
			** К кол-ву дней в месяце мы добавляем так называемое смещение, (номер дня недели, с которого начинается месяц минус 1) т.е.
			** если месяц начинается  со среды, то надо прибавить 2 и т.д.
			*/			
				$days += ($start-1);
		
			/*
			** Здесь мы определяем кол-во ячеек в таблице
			** Чтобы оно было кратно 7
			** Чтобы, допустим, если последнее число месяца выпало на пятницу,
			** последующие ячейки (суббота и воскресенье) мы тоже вывели и покрасили как нам надо
			*/			
				$tabledays = $days;
				
				while ($tabledays%7!=0) {
					$tabledays++;
				}
		}
	}
	else {
		/*
		** Если указан только год, то выводим шаблон года
		*/
			$tpl = 'year';
	}
}

include_once('tpl/' . $tpl . '.php');

?>