<?php
	include('_header.php');
?>

	<table width="100%">
		<tr>
			<td width="33%">
				<?php
				if ($month>1) {
					?>
					<h1><a href="<?php print $year . '/' . ($month-1); ?>/">&larr; <?php print $months[($month-1)]; ?></a></h1>
					<?php
				}
				?>
			</td>
			<td width="33%" align="center">
			
				<h1><?php print $months[$month]; ?> / <?php print $year; ?></h1>
				
			</td>
			<td width="33%" align="right">
				<?php
				if ($month<12) {
					?>
					<h1><a href="<?php print $year . '/' . ($month+1); ?>/"><?php print $months[($month+1)]; ?> &rarr;</a></h1>
					<?php
				}
				?>
			</td>
		</tr>
	</table>
	
	<table id="maintable">
		<tr>
		<?php
		
		// Выводим заголовок таблицы, название дней недели
		for ($i=1; $i<=7; $i++) {
			?>
			<th><?php print $weekdays[$i]; ?></th>
			<?php
		}
		?>
		
		</tr><tr>
		
		<?php
		
		for ($i=1; $i<=$tabledays; $i++) {
		
			/*
			** Определяем индекс K
			** он будет означать порядковый номер дня
			*/
				$k = $i-($start-1);
			
			// Ставим условие, при котором отсекаем ячейки не принадлежащие текущему месяцу
			
			if ($i>=$start && $i<=$days)  {
				if ($year == $now['year'] && $month == $now['month'] && $k == $now['day']) {
					// Это сегодняшняя дата, её надо выделить!
					?>
					<td class="today"><a href="<?php print $year . '/' . $month . '/' . $k; ?>/"><?php print $k; ?></a></td>
					<?php
				}
				else {
					// Но если это выходной, то его тоже надо выделить :)
					// Мы любим выходные!
					if ($i%7==0 || $i%7==6) {
						?>
						<td class="holiday">
						<?php
					}
					else {
						// Обычный день
						?>
						<td>
						<?php
					}
					?>
					<a href="<?php print $year . '/' . $month . '/' . $k; ?>/"><?php print $k; ?></a></td>
					<?php
				}
			}
			else {
				// Выводим серые ячейки, не принадлежащие текущему месяцу
				?>
				<td class="other">&nbsp;</td>
				<?php
			}
			if ($i%7==0) {
				?>
				</tr><tr>
				<?php
			}
		}
		
		?>
		</tr>
	</table>
	
	<h3>&larr; <a href="<?php print $year; ?>/">Назад к выбору месяца</a></h3>


<?php
	include('_footer.php');
?>